Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.ioc.def
Interface ContributionDef

All Known Subinterfaces:
  ContributionDef2, ContributionDef3

All Known Implementing Classes:
  AbstractContributionDef, ContributionDefImpl, SyntheticSymbolSourceContributionDef

    public interface ContributionDef

Contribution to a service configuration.

The toString() method of the ContributionDef will be used for some exception reporting and should clearly identify where the contribution comes from; the normal behavior is to identify the class and method of the contribution method.

Method Summary
`void` | `contribute(ModuleBuilderSource moduleSource, ServiceResources resources, Configuration configuration)` Performs the work needed to contribute into the standard, unordered configuration.
`void` | `contribute(ModuleBuilderSource moduleSource, ServiceResources resources, MappedConfiguration configuration)` Performs the work needed to contribute into the mapped configuration.
`void` | `contribute(ModuleBuilderSource moduleSource, ServiceResources resources, OrderedConfiguration configuration)` Performs the work needed to contribute into the ordered configuration.
`java.lang.String` | `getServiceId()` Identifies the service contributed to.

Method Detail

### getServiceId

    java.lang.String getServiceId()

  Identifies the service contributed to.

### contribute

    void contribute(ModuleBuilderSource moduleSource,
                    ServiceResources resources,
                    Configuration configuration)

  Performs the work needed to contribute into the standard, unordered configuration.

  Parameters:
    `moduleSource` - the source, if needed, of the module instance associated with the contribution
    `resources` - allows access to services visible to the module
    `configuration` - the unordered configuration into which values should be loaded. This instance will encapsulate all related error checks (such as passing of nulls or inappropriate classes).

### contribute

    void contribute(ModuleBuilderSource moduleSource,
                    ServiceResources resources,
                    OrderedConfiguration configuration)

  Performs the work needed to contribute into the ordered configuration.

  Parameters:
    `moduleSource` - the source, if needed, of the module instance associated with the contribution
    `resources` - allows access to services visible to the module
    `configuration` - the ordered configuration into which values should be loaded. This instance will encapsulate all related error checks (such as passing of nulls or inappropriate classes).

### contribute

    void contribute(ModuleBuilderSource moduleSource,
                    ServiceResources resources,
                    MappedConfiguration configuration)

  Performs the work needed to contribute into the mapped configuration.

  Parameters:
    `moduleSource` - the source, if needed, of the module instance associated with the contribution
    `resources` - allows access to services visible to the module
    `configuration` - the mapped configuration into which values should be loaded. This instance will encapsulate all related error checks (such as passing of null keys or values or inappropriate classes, or duplicate keys).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.